Unit MN014_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure MN014(var G :Array of Real; var I1 :Array of Integer;
                var GE :Array of Real; var XF :Array of Real;
                FFE :Real; var XE1 :Array of Real; CG :Real;
                var CGE :Array of Real; N :Integer; GRAD :Proc_F2_MN);

implementation

procedure MN014(var G :Array of Real; var I1 :Array of Integer;
                var GE :Array of Real; var XF :Array of Real;
                FFE :Real; var XE1 :Array of Real; CG :Real;
                var CGE :Array of Real; N :Integer; GRAD :Proc_F2_MN);
var
I :Integer;
label
_1,_2,_3,_4;
begin
{   BCEHE  OPAOTKA PAEHTA B TOKE XF }
I := 0;
_1:
I := I+1;
if ( I > N ) 
 then goto _2;
if ( I1[I-1] = 0 ) 
 then goto _1;
CGE[I-1] := CG*FFE/XE1[I-1];
GE[I-1] := CGE[I-1];
goto _1;
_2:
GRAD(XF,G,GE,I1);
I := 0;
_3:
I := I+1;
if ( I > N ) 
 then goto _4;
if ( I1[I-1] = 0 ) 
 then goto _3;
if ( CGE[I-1] > GE[I-1] ) 
 then GE[I-1] := CGE[I-1];
if ( Abs(G[I-1]) > GE[I-1] ) 
 then goto _3;
G[I-1] := 0.0;
I1[I-1] := 0;
goto _3;
_4:
end;

end.
